
Infrastructure - Bug #2994

identifier and identity management in rest service fail with exception

2012-06-20 17:07 - Matthew Jones

Status: Closed Start date: 2012-06-20

Priority: Normal Due date:  

Assignee: Robert Waltz % Done: 100%

Category: d1_cn_service Estimated time: 0.00 hour

Target version: Sprint-2012.25-Block.4.1   

Milestone: CCI-1.0.2 Story Points:  

Product Version: *   

Description

After logging into the portal and moving to the groups tab, an exception is given when trying to create a new group:

org.dataone.service.exceptions.ServiceFailure: Could not create group: [LDAP: error code 8 - modifications require authentication] at

org.dataone.service.util.ExceptionHandler.deserializeXml(ExceptionHandler.java:607) at

org.dataone.service.util.ExceptionHandler.deserializeXmlAndThrowException(ExceptionHandler.java:491) at

org.dataone.service.util.ExceptionHandler.deserializeAndThrowException(ExceptionHandler.java:347) at

org.dataone.service.util.ExceptionHandler.deserializeAndThrowException(ExceptionHandler.java:297) at

org.dataone.service.util.ExceptionHandler.filterErrors(ExceptionHandler.java:107) at

org.dataone.service.util.ExceptionHandler.filterErrors(ExceptionHandler.java:82) at

org.dataone.client.D1RestClient.doPostRequest(D1RestClient.java:300) at org.dataone.client.CNode.createGroup(CNode.java:1985)

at org.dataone.portal.servlets.IdentityServlet.handleRequest(IdentityServlet.java:197) at

org.dataone.portal.servlets.IdentityServlet.doGet(IdentityServlet.java:77) at

...

History

#1 - 2012-06-21 04:24 - Robert Waltz

- Category changed from d1_portal_servlet to d1_cn_service

- Assignee changed from Ben Leinfelder to Robert Waltz

#2 - 2012-06-21 04:25 - Robert Waltz

- Subject changed from create group on portal fails with exception to identifier and identity management in rest service fail with exception

#3 - 2012-06-22 03:41 - Robert Waltz

- Status changed from New to In Progress

#4 - 2012-07-02 16:56 - Skye Roseboom

- Position changed from 1 to 469

- Position set to 1

#5 - 2012-07-02 21:39 - Robert Waltz

- Status changed from In Progress to Closed
